Add or remove users from a group

PATCH https://{controlplane_path}/api/1/rest/public/groups/{env_org}/{groupname}

Adds or removes users from the specified group. Environment admins can also manage groups from the Admin Manager Groups page.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
env_org Required. The name of the SnapLogic environment/Org. For example, My-Dev-Env
groupname Required. The name of the group.

Query parameters

None.

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

Important: Only one of the following parameters can be used in each API call.
 {
  "add_user" : "..."
}
 {
  "remove_user" : "..."
}
Key Type Description
add_user string The email address of the user to add to the group.
remove_user string The email address of the user to remove from the group.